// This is Add Content
dojo.provide("com.ibm.pb.customize.AddContentPaletteContainer");

dojo.require("com.ibm.pb.customize.LotusPaletteContainer");

dojo.declare("com.ibm.pb.customize.AddContentPaletteContainer",
	[com.ibm.pb.customize.LotusPaletteContainer],
	{
		createProxyURI: null,	// function to create a proxy url
		pendingItems: null,		// items pending creation/modification
		beforeSubmitDfds: null, // Array of Deferreds that must all get called back before submit processing can occur
		afterSubmitDfds: null, 	// Array of Deferreds that must all get called back before submit fires its onComplete/onError handlers
		allowedListJsonFile: null,
		
		constructor: function() {
			this.label = this.nlsBundle["add_content_browseContent"];
			this.tabLabel = this.nlsBundle["add_content_launchLabel2"];
			this.pendingItems = {};
			this.beforeSubmitDfds = [];
			this.afterSubmitDfds = [];
		},
		
		processJSON: function() {
			if(this.hasAllowedPortletsList()) this.jsonFile = this.allowedListJsonFile;
			this.inherited(arguments);
		},
		
		hasAllowedPortletsList: function(){
			// summary: returns true if the page has an allowed portlets list
			var pageId = com.ibm.mashups.builder.model.Factory.getRuntimeModel().getCurrentPage().getID(),
				page = this.navModel.find(pageId).start(),
				layout = this.navModel.getLayoutModel(page.getID()),
				root = layout.getRoot().start(),
				xml = root.getXml(),
				expr = '//*[model:allPortletsAllowed="false"]';
			return com.ibm.mashups.enabler.xml.XPath.evaluateBoolean(expr, xml, {
				atom: "http://www.w3.org/2005/Atom",
				model: "http://www.ibm.com/xmlns/prod/websphere/portal/v6.0.1/portal-model-elements"
			});
		}
});
