/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.content.ContentProvider");

dojo.require("com.ibm.mashups.enabler.content.ContentPage");

/**
 * Interface for a content provider.
 * 
 * @since 2.4
 * 
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.content.ContentProvider", null, {

	/**
	 * Returns the content of this content provider.
	 * @return {com.ibm.mashups.enabler.Deferred} A deferred object used to start this operation,
	 * never <code>null</code>. The return value when executed through the
	 * deferred object is a &nbsp; {@link com.ibm.mashups.enabler.content.StaticContentPage static content page}.
	 */
	getContent : function() {
        throw new Error('Unimplemented API: com.ibm.mashups.enabler.content.ContentProvider.getContent');
	}
});
