/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.iwidget.IEvent");

//<INTERFACE>
/**
 * it carries various pieces of information when an event flows at runtime
 *
 * @ibm-api
 * @ibm-module iWidget2
 */
dojo.declare("com.ibm.mashups.iwidget.IEvent", null, {
    constructor: function() {
        /**
         * @private
         */
    },
    /**
     The name of the event.
     @type String
     */
    name:/*String*/ "",
    /**
     The type of any payload. If this is set to null, no information is being provided.
     @type String
     */
    type:/*String*/ "",
    /**
     The data, if any, being provided by the source of the event.
     @type Object
     */
    payload:/*object*/ null,
    /**
     The iWidget supplied id for the source iWidget.
     @type String
     */
    source:/*String*/ ""
});

//</INTERFACE>
dojo.require("com.ibm.mm.iwidget.IEventImpl");

