
# set high level security settings. Admin security enabled,
# app security enabled, fail over to basic auth enabled.
print AdminTask.setGlobalSecurity('[-enabled true]')
nodesec = AdminConfig.list('Security')
securityid = 'Security' + nodesec
print AdminConfig.modify(securityid, '[[appEnabled true]]')
descprops = AdminConfig.list('DescriptiveProperty')
for i in descprops.split():
	if i.find('failOverToBasicAuth') > 0:
		descname='DescriptiveProperty(' + i
		print AdminConfig.modify(descname, '[[value true]]')
		print AdminConfig.showAttribute(descname, 'value')
if descname == '':
	print 'Could not find descriptive property for failOverToBasicAuth'

# get admin user
userregistries = AdminConfig.list('UserRegistry')
for x in userregistries.split():
	if x.find("WIMUserRegistry") > -1:
		adminuser = AdminConfig.showAttribute(x,'primaryAdminId')
		print AdminApp.edit("Mashup Hub", '[-MapRolesToUsers [["AuthUsers" AppDeploymentOption.No AppDeploymentOption.Yes "" ""]]]')

if adminuser == '':
	print "Could not find admin user"
AdminConfig.save()

